POST/api/v2/users/create-interlace-account/{userId}

Create an account for the authenticated user

Authentication

Send your API key in the x-api-key header on every request.

Parameters

Request parameters
FieldTypeRequiredDescription
userId (path)unknownYes

Responses

200 — OK

Response 200 fields
FieldTypeRequiredDescription
SuccessbooleanNo
InterlaceAccountIdstringNo
ExternalUserIdstringNo
MessagestringNo
CreatedAtstring (date-time)No
AccountAlreadyExistsbooleanNo
ErrorCodestringNo
ErrorMessagestringNo

400 — Bad Request

Response 400 fields
FieldTypeRequiredDescription
typestringNo
titlestringNo
statusunknownNo
detailstringNo
instancestringNo

401 — Unauthorized

Response 401 fields
FieldTypeRequiredDescription
typestringNo
titlestringNo
statusunknownNo
detailstringNo
instancestringNo

500 — Internal Server Error

Example request

curl -X POST "https://{base_url}/api/v2/users/create-interlace-account/{userId}" \
  -H "x-api-key: YOUR_API_KEY"

This page is generated from the live OpenAPI specification and always matches the current API.